nlohmann::detail::iteration_proxy< IteratorType > Class Template Reference

proxy class for the items() function More...

`#include <json.hpp>`

## Public Member Functions

| iteration_proxy (typename IteratorType::reference cont) noexcept
| construct iteration proxy from a container More...
iteration_proxy_value< IteratorType > | begin () noexcept
| return iterator begin (needed for range-based for) More...
iteration_proxy_value< IteratorType > | end () noexcept
| return iterator end (needed for range-based for) More...
| iteration_proxy (typename IteratorType::reference cont) noexcept
| construct iteration proxy from a container More...
iteration_proxy_value< IteratorType > | begin () noexcept
| return iterator begin (needed for range-based for) More...
iteration_proxy_value< IteratorType > | end () noexcept
| return iterator end (needed for range-based for) More...

## Detailed Description

### template<typename IteratorType>
class nlohmann::detail::iteration_proxy< IteratorType >

proxy class for the items() function

## Constructor & Destructor Documentation

## iteration_proxy() [1/2]

template<typename IteratorType >

nlohmann::detail::iteration_proxy< IteratorType >::iteration_proxy | ( | typename IteratorType::reference | cont | ) |

inlineexplicitnoexcept

construct iteration proxy from a container

## iteration_proxy() [2/2]

template<typename IteratorType >

nlohmann::detail::iteration_proxy< IteratorType >::iteration_proxy | ( | typename IteratorType::reference | cont | ) |

inlineexplicitnoexcept

construct iteration proxy from a container

## Member Function Documentation

## begin() [1/2]

template<typename IteratorType >

iteration_proxy_value<IteratorType> nlohmann::detail::iteration_proxy< IteratorType >::begin | ( |  | ) |

inlinenoexcept

return iterator begin (needed for range-based for)

## begin() [2/2]

template<typename IteratorType >

iteration_proxy_value<IteratorType> nlohmann::detail::iteration_proxy< IteratorType >::begin | ( |  | ) |

inlinenoexcept

return iterator begin (needed for range-based for)

## end() [1/2]

template<typename IteratorType >

iteration_proxy_value<IteratorType> nlohmann::detail::iteration_proxy< IteratorType >::end | ( |  | ) |

inlinenoexcept

return iterator end (needed for range-based for)

## end() [2/2]

template<typename IteratorType >

iteration_proxy_value<IteratorType> nlohmann::detail::iteration_proxy< IteratorType >::end | ( |  | ) |

inlinenoexcept

return iterator end (needed for range-based for)

The documentation for this class was generated from the following file:

- build/_deps/json-src/include/nlohmann/json.hpp